Update Account Status to Restricted

This endpoint provides the ability to close accounts without the assistance of the Green Dot Care team.

  • Close an Account
  • To set an account to restricted customer initiated spend down:
    • Submit a request to close the account by calling PUT /programs/{programCode}/accounts/{accountIdentifier}/close
    • Once the request is processed by the system, the partner will receive a response containing the following account status information:
      • The account status will be changed to restricted
      • The account status reason will be customerInitiatedSpendDown
      • There will not be a kycPendingGate (cure) (i.e. kycPendingGate: none)
    • All funds currently in the spend purses will be moved back to the primary purse automatically.
      • Note: For an account to be closed, it must be set to a restricted customer initiated spend down state.
    • The current status of the account must be normal.
    • An account with a negative balance cannot be closed using the API
Path Params
string
required

Partner program code for the account.

string
required

Unique account identifier (UID or GUID).

Body Params

Request to close the account. The reason must be 'customerInitiatedSpendDown'.

string | null

The reason for closing the account. Must be provided and should match allowed values (e.g., "customerInitiatedSpendDown").

string | null

The source system or party initiating the account closure (e.g., "Partner"). Optional; if not provided, may be set by the API.

Headers
string
required

Unique request tracking identifier (X-GD-RequestId header).

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json
text/json